From da5b28ffccf2c545170ad228e98ad7771da46004 Mon Sep 17 00:00:00 2001
From: Rui Bernardino <rui-p-bernardino@telecom.pt>
Date: Mon, 2 Jun 2014 18:56:40 +0100
Subject: [PATCH] Added OVAL check for 'disable_anacron' using service_disabled templates.


Signed-off-by: Rui Bernardino <rui-p-bernardino@telecom.pt>
---
 .../6/input/checks/templates/services_disabled.csv |    1 +
 RHEL/6/input/services/cron.xml                     |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/RHEL/6/input/checks/templates/services_disabled.csv b/RHEL/6/input/checks/templates/services_disabled.csv
index 7045072..c819e51 100644
--- a/RHEL/6/input/checks/templates/services_disabled.csv
+++ b/RHEL/6/input/checks/templates/services_disabled.csv
@@ -1,5 +1,6 @@
 abrtd,abrt
 acpid,
+anacron,
 autofs,
 certmonger,
 cgred,
diff --git a/RHEL/6/input/services/cron.xml b/RHEL/6/input/services/cron.xml
index 983d9ed..4f57af6 100644
--- a/RHEL/6/input/services/cron.xml
+++ b/RHEL/6/input/services/cron.xml
@@ -37,6 +37,7 @@ additional functionality, <tt>anacron</tt> could needlessly increase the possibl
 attack surface for an intruder.</description>
 <ref nist="CM-7" />
 <ident cce="27158-5" />
+<oval id="service_anacron_disabled" />
 </Rule>
 
 
-- 
1.7.1

